Call NextAutoArchiveTime()

Sub NextAutoArchiveTime()

'=================================================================
'Description: Outlook macro to determine the time and date
'             AutoArchive will run next.
'
' author : Robert Sparnaaij
' version: 1.0
' website: http://www.msoutlook.info/question/856
'=================================================================

    Dim objOutlook
    Set objOutlook = CreateObject("Outlook.Application")
    
    Dim OutlookVersion
    OutlookVersion = Left(objOutlook.Version, InStr(objOutlook.Version, "."))
    
    Dim Result
    
    Dim RegDoAging
    RegDoAging = RegKeyRead("HKEY_CURRENT_USER\Software\Microsoft\Office\" & OutlookVersion & "0\Outlook\Preferences\DoAging")
    
    If RegDoAging = 1 or RegDoAging = "" Then
        Dim RegEveryDays
        RegEveryDays = RegKeyRead("HKEY_CURRENT_USER\Software\Microsoft\Office\" & OutlookVersion & "0\Outlook\Preferences\EveryDays")
        
        If RegEveryDays = "" Then
            RegEveryDays = 14
        End If
            
        Dim RegLastAged
        RegLastAged = RegKeyRead("HKEY_CURRENT_USER\Software\Microsoft\Office\" & OutlookVersion & "0\Outlook\Preferences\LastAged")
        
        If RegLastAged <> "" Then
            Dim NextArchiveMinutes
            NextArchiveMinutes = RegLastAged + RegEveryDays * 24 * 60
        
            Dim NextArchive
            NextArchive = DateAdd("n", NextArchiveMinutes, #1/1/1601#)
            
            Result = MsgBox("AutoArchive will run again at: " & NextArchive, vbInformation, "AutoArchive Time")
        Else
            Result = MsgBox("AutoArchive has never been ran yet but is enabled and set to run every " & RegEveryDays & " days.", vbInformation, "AutoArchive Time")
        End If
    Else
    	Result = MsgBox("AutoArchive isn't enabled.", vbInformation, "AutoArchive Time")
    End If

    Set objOutlook = Nothing
    
End Sub


Function RegKeyRead(RegKey)
    Dim WS

    On Error Resume Next
  
    Set WS = CreateObject("WScript.Shell")
    RegKeyRead = WS.RegRead(RegKey)
    Set WS = Nothing

End Function